<div class='globalContainer box-shadow'>
    <dx-tab-panel height='calc(100vh - 158px)'>
         <dxi-item title='Grafice'>
            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Grup</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.bu' [dataSource]='dsBu' displayExpr='name'
                                        valueExpr='id' [searchEnabled]='true' [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required" message="Grup este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [disabled]='!reportObj.bu'
                                        [dataSource]='dsEntities' displayExpr='name' valueExpr='id'
                                        [searchEnabled]='true' [showClearButton]='true'>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Deșeu</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [dataSource]='dsWasteType' valueExpr='code' displayExpr='code'>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Grafic deșeuri generate'></dx-button>
                            <dx-button [visible]='false' text='Grafic valorificare vs eliminare'></dx-button>
                            <dx-button [visible]='false' text='Grafic financiar'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>
            </dx-validation-group>
        </dxi-item>
        <dxi-item title='Costuri'>
            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [dataSource]='dsEntities'
                                        displayExpr='name' valueExpr='id' [searchEnabled]='true'
                                        [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Entitate este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Furnizor</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [dataSource]='dsContractors' displayExpr='name' valueExpr='id'
                                        [searchEnabled]='true' [showClearButton]='true'></dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Raport costuri'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>
            </dx-validation-group>
        </dxi-item> 
         <dxi-item title='Taxe'>
            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [dataSource]='dsEntities'
                                        displayExpr='name' valueExpr='id' [searchEnabled]='true'
                                        [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required" message="Grup este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Raport taxe'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>

            </dx-validation-group>
        </dxi-item> 
         <dxi-item title='Controale'>

            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [dataSource]='dsEntities'
                                        displayExpr='name' valueExpr='id' [searchEnabled]='true'
                                        [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required" message="Grup este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Raport controale'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>
            </dx-validation-group>
        </dxi-item> 
         <dxi-item title='Valorificare'>
            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Grup</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.bu' [dataSource]='dsBu' displayExpr='name'
                                        valueExpr='id' [searchEnabled]='true' [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required" message="Grup este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [disabled]='!reportObj.bu'
                                        [dataSource]='dsEntities' displayExpr='name' valueExpr='id'
                                        [searchEnabled]='true' [showClearButton]='true'></dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Deșeu</div>
                                <div class='dx-field-value'>
                                    <dx-autocomplete [dataSource]='dsWasteType' valueExpr='code'>
                                    </dx-autocomplete>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Raport valorificare'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>
            </dx-validation-group>
        </dxi-item> 
        <dxi-item title='Procent valorificare'>

            <dx-validation-group>
                <div class='dx-fieldset'>
                    <div class='row'>
                        <div class='col'>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Grup</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.bu' [dataSource]='dsBu' displayExpr='name'
                                        valueExpr='id' [searchEnabled]='true' [showClearButton]='true'>
                                        <dx-validator>
                                            <dxi-validation-rule type="required" message="Grup este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Entitate</div>
                                <div class='dx-field-value'>
                                    <dx-select-box [(value)]='reportObj.entity' [disabled]='!reportObj.bu'
                                        [dataSource]='dsEntities' displayExpr='name' valueExpr='id'
                                        [searchEnabled]='true' [showClearButton]='true'></dx-select-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Deșeu</div>
                                <div class='dx-field-value'>
                                    <dx-autocomplete [dataSource]='dsWasteType' valueExpr='code'>
                                    </dx-autocomplete>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>De la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.fromDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="De la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                            <div class='dx-field'>
                                <div class='dx-field-label'>Până la data</div>
                                <div class='dx-field-value'>
                                    <dx-date-box displayFormat='dd.MM.yyyy' [(value)]="reportObj.thruDate">
                                        <dx-validator>
                                            <dxi-validation-rule type="required"
                                                message="Până la data este câmp obligatoriu!">
                                            </dxi-validation-rule>
                                        </dx-validator>
                                    </dx-date-box>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <dx-validation-summary></dx-validation-summary>
                <div class="dx-fieldset">
                    <div class="row">
                        <div class="col">
                            <dx-button [visible]='false' text='Raport valorificare'></dx-button>
                        </div>
                        <div class="col">
                        </div>
                    </div>
                </div>
            </dx-validation-group>
        </dxi-item>
    </dx-tab-panel>
</div>